FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridVolumeRayIntegrator

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkUnstructuredGridVolumeRayIntegrator is a superclass for ray integration functions that can be used within a vtkUnstructuredGridVolumeRayCastMapper.

To create an instance of class vtkUnstructuredGridVolumeRayIntegrator, simply invoke its constructor as follows

      obj = vtkUnstructuredGridVolumeRayIntegrator

# Methods

The class vtkUnstructuredGridVolumeRayIntegrator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridVolumeRayIntegrator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridVolumeRayIntegrator = obj.NewInstance ()`
- `vtkUnstructuredGridVolumeRayIntegrator = obj.SafeDownCast (vtkObject o)`
- `obj.Initialize (vtkVolume volume, vtkDataArray scalars)` - Set up the integrator with the given properties and scalars.
- `obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])` - Given a set of intersections (defined by the three arrays), compute the peicewise integration of the array in front to back order. /c intersectionLengths holds the lengths of each peicewise segment. /c nearIntersections and /c farIntersections hold the scalar values at the front and back of each segment. /c color should contain the RGBA value of the volume in front of the segments passed in, and the result will be placed back into /c color.